Skip to content
Guides
Fulfillment & ShippingPickup Points
settings:update

Update pickup point

Updates a pickup point's address, contact, instructions, timing, schedule, external reference, and linked location.

PUT/v1/shipping/pickup-points/{id}

Updates a pickup point's address, contact, instructions, timing, schedule, external reference, and linked location.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/shipping/pickup-points/7204558912004325301" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Example resource",    "address": "example",    "description": "Example description.",    "state": "example",    "city": "example",    "neighborhood": "example",    "postalCode": "example_code",    "addressNumber": "example"  }'
Empty